GNUNET-DNS2GNS(1)

NAME
gnunet-dns2gns - run a DNS-to-GNS proxy

SYNOPSIS
gnunet-dns2gns [options]

DESCRIPTION
Most users will not want to run an DNS to GNS proxy/gateway and thus will not need this program. gnunet-dns2gns runs a DNS resolver which delegates requests GNS if the TLD matches one configured for GNS. All other requests are forwarded to DNS. This DNS proxy is useful for enabling non-personalized GNS-resolution to an entire network or to offer GNS-resolution to DNS users.

OPTIONS

-c FILENAME,  --config=FILENAME
    Use the configuration file FILENAME.

-d IP,  --dns=IP
    IP address of a recursive DNS resolver that should be used for non-GADS hostnames.

-h, --help
    Print short help on options.

-L LOGLEVEL, --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-v, --version
    Print GNUnet version number.

BUGS
Report bugs by using Mantis <https://gnunet.org/bugs/> or by sending electronic mail to <bug-gnunet@gnu.org>

SEE ALSO
gnunet-gns-fcfs(1), gnunet-gns(1), gnunet-identity(1)